
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate" />
		<meta http-equiv="Pragma" content="no-cache" />
		<meta http-equiv="Expires" content="0"/>
		<title>Calculation</title>
		<link rel="icon" href="img/logo.png">
		<link rel="stylesheet" href="css/bootstrap-5.css">
		<style>
			/* width and height for the scrollbar track */
			::-webkit-scrollbar {
				width: 5px;
				height: 5px;
			}

			/* background color of the scrollbar track */
			::-webkit-scrollbar-track {
				background: #999;
			}

			/* handle or thumb of the scrollbar */
			::-webkit-scrollbar-thumb {
				background: #333;
				border-radius: 6px;
			}

			/* on hover, the handle or thumb of the scrollbar */
			::-webkit-scrollbar-thumb:hover {
				background: #333;
			}

			/* corner between vertical and horizontal scrollbars */
			::-webkit-scrollbar-corner {
				background: #f1f1f1;
			}

			.widthTable{
				width: 3000px;
			}
			.scrollTable{
				overflow-x: scroll;
			}
			hr{
				border: none;
				border-bottom: 2px solid  #ccc !important;
				background: transparent;

			}
			hr.salesMenu{
				border: none;
				border-bottom: 2px dashed  #ccc !important;
				background: transparent;

			}
			.btn-sales-remove{
				position: absolute;
				right: 0;
				font-size: 8px;
				margin-right: 12px;
				margin-top: 0;
			}
			.btn-sales-remove img{
				filter: invert(100%);
			}
			.from-group-isproratebilldisc{
				position: absolute;
				left: 0;
				margin-top: -15px;
				margin-left: 12px;
			}
			.add-row-btn{
				filter: invert(100%);
			}
		</style>
		<script src="js/jquery.min.js"></script>
		<script src="js/bootstrap.bundle.min.js"></script>
	</head>
	<body>
		<div class="container-fluid mt-3 mb-4">
			<div class="d-flex flex-row justify-content-between gap-5 mb-4">
				<div class="p-0 align-self-center">
					<h5 class="text-start m-0 p-0"><b>Inclusive After Discount</b></h5>
					<p class="text-start m-0 p-0"><small>Version 4.0.0</small></p>
				</div>
				<div class="p-0 align-self-center">
					<p class="text-end m-0 p-0"><small>Clone me at <b>https://gitlab.com/esb-repo/tools/sbux-calculation.git</b> <br> Powered by SANDIKA</small></p>
				</div>
			</div>
			<div class="errMsg"></div>
			<p class="m-0 p-0"><b>Setting</b></p>
			<div class="row">
				<div class="col-12 col-sm-12 col-md-6 col-lg-2">
					<div class="form-group">
						<label class="col-form-label col-form-label-sm">Other Tax on Vat</label>
						<select class="form-select form-select-sm sh-othertaxonvat">
							<option value="1">Yes</option>
							<option value="0">No</option>
						</select>
					</div>
				</div>
				<div class="col-12 col-sm-12 col-md-6 col-lg-3">
					<div class="form-group">
						<label class="col-form-label col-form-label-sm">Bill Discount %</label>
						<input class="form-control form-control-sm sh-billdiscountpercentage" type="text" placeholder="0">
					</div>
				</div>
				<div class="col-12 col-sm-12 col-md-6 col-lg-3">
					<div class="form-group">
						<label class="col-form-label col-form-label-sm">Bill Discount Cash</label>
						<input class="form-control form-control-sm sh-billdiscountcash" type="text" placeholder="0">
					</div>
				</div>
				<div class="col-12 col-sm-12 col-md-6 col-lg-2">
					<div class="form-group">
						<label class="col-form-label col-form-label-sm">Rounding Nearest Value</label>
						<input class="form-control form-control-sm sh-roundingnearestvalue" type="text" placeholder="0">
					</div>
				</div>
				<div class="col-12 col-sm-12 col-md-6 col-lg-2">
					<div class="form-group">
						<label class="col-form-label col-form-label-sm">Rounding Mode</label>
						<select class="form-select form-select-sm sh-roudningmoude">
							<option value="AUTO">Auto</option>
							<option value="UP">Up</option>
							<option value="DOWN">Down</option>
						</select>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-12 col-sm-12 col-md-6 col-lg-6 btn-export-query d-none">
					<div class="form-group">
						<label class="col-form-label col-form-label-sm">&nbsp;</label>
						<div class="d-grid gap-2">
							<button type="button" class="btn btn-sm btn-warning export-calc">
								<div class="d-flex flex-row justify-content-center gap-2">
									<span class="wording-export-query">Export Query</span>
									<img class="align-self-center" src="img/export.png" width="20px">
								</div>
							</button>
						</div>
					</div>
				</div>
				<div class="col-12 col-sm-12 col-md-6 btn-calculation">
					<div class="form-group">
						<label class="col-form-label col-form-label-sm">&nbsp;</label>
						<div class="d-grid gap-2">
							<button type="button" class="btn btn-sm btn-primary start-calc">
								<div class="d-flex flex-row justify-content-center gap-2">
									<span class="wording-start-calc">Start Calc</span>
									<img class="align-self-center" src="img/start-button.png" width="20px">
								</div>
							</button>
						</div>
					</div>
				</div>
			</div>
			<hr class="style">
			<p class="m-0 p-0"><b>Item Sales Form</b></p>
			<div class="salesMenuForm"></div>
			<button type="button" class="btn btn-sm btn-success addRow">
				<div class="d-flex flex-row justify-content-center gap-2">
					<img class="align-self-center add-row-btn" src="img/add-row.png" width="20px">
					<span>New Row</span>
				</div>
			</button>
			<hr class="style">
			<div class="resultCalc">
				<p>Menu Sales</p>
				<div class="scrollTable mb-3">
					<div class="widthTable">
						<table class="table">
							<thead>
								<tr>
									<th scope="col">Qty</th>
									<th scope="col" style="color: #FFFF00;">Inc. Bill Disc. Total Per Menu</th>
									<th scope="col">Bill Disc. Per Menu</th>
									<th scope="col" style="color: #FFFF00;">Inc. Disc. Total Value</th>
									<th scope="col" style="color: #FFFF00;">Inc. Disc. Value</th>
									<th scope="col" style="color: #FFFF00;">Inc. Price</th>
									<th scope="col" style="color: #FFFF00;">Inc. Price Aft Disc</th>
									<th scope="col" style="color: #FFFF00;">Inc. Price Total</th>
									<th scope="col" style="color: #FFFF00;">Inc. Price Total Aft Disc</th>
									<th scope="col">Price</th>
									<th scope="col">Price Aft Disc</th>
									<th scope="col">Price Total</th>
									<th scope="col">Price Total Aft Disc</th>
									<th scope="col">Disc. Cash</th>
									<th scope="col">Disc. Value</th>
									<th scope="col">Disc. Total Value</th>
									<th scope="col">Other Tax</th>
									<th scope="col">Other Tax Total</th>
									<th scope="col">Tax</th>
									<th scope="col">Tax Total</th>
								</tr>
							</thead>
							<tbody class="salesMenu"></tbody>
						</table>
					</div>
				</div>
				<p>Total Sales</p>
				<table class="table">
					<thead>
						<tr>
							<th scope="col">Subtotal</th>
							<th scope="col" style="color: #FFFF00;">Inc. Disc. Bill Total</th>
							<th scope="col">Disc. Bill Total</th>
							<th scope="col" style="color: #FFFF00;">Inc. Menu Disc. Total</th>
							<th scope="col">Menu Disc. Total</th>
							<th scope="col">Other Tax Total</th>
							<th scope="col">Tax Total</th>
							<th scope="col">PB1 Total</th>
							<th scope="col">PPN Total</th>
							<th scope="col">Grand Total</th>
							<th scope="col">Rounding Total</th>
							<th scope="col">Grand Total Aft. Round.</th>
						</tr>
					</thead>
					<tbody class="sales"></tbody>
				</table>
			</div>
		</div>
		<script src="js/calculation.js?"></script>
		<script>

			// RULES :
			//HEAD OF PACKAGE :
			//(originalPrice,price,inclusivePrice * 1) (discountValue,inclusiveDiscountValue,otherTaxValue,vatValue,otherVatValue,total * quantity)
			//ITEM OF PACKAGE :
			//(originalPrice,price,inclusivePrice * 1) (discountValue,inclusiveDiscountValue,otherTaxValue,vatValue,otherVatValue,total * 1)

			var salesMenuFormCounting = [
				{
					qty : "",
					inclusivePrice : "",
					menuDiscountPercentage : "",
					menuDiscountCash : "",
					otherTaxPercentage : "",
					taxPercentage : "",
					proRateBillDisc : true
				},
				
			];

		

			var salesHead = $('.sales');
			var salesMenu = $('.salesMenu');
			var salesMenuForm = $('.salesMenuForm');
			var addRow = $('.addRow');
			var startCalc = $('.start-calc');
			var resultCalc = $('.resultCalc');
			var exportCalc = $('.export-calc');

			resultCalc.hide();
			startCalc.off('click').on('click', function(){
				try{

					$('.wording-start-calc').html("Calculating..");
					setTimeout(() => {
						$('.wording-start-calc').html("Start Calc");
					}, 800);

					var payload = {
						OtherTaxOnVat : $('.sh-othertaxonvat').val() == 1? true : false,
						billDiscountPercentage : $('.sh-billdiscountpercentage').val() == ''? 0 : parseFloat($('.sh-billdiscountpercentage').val()),
						billDiscountCash : $('.sh-billdiscountcash').val() == ''? 0 : parseFloat($('.sh-billdiscountcash').val()),
						roundingNearestValue : $('.sh-roundingnearestvalue').val() == ''? 1 : parseFloat($('.sh-roundingnearestvalue').val()),
						roundingMode : $('.sh-roudningmoude').val(),
						sales : []
					}
					if($('.sh-roundingnearestvalue').val() == ''){
						$('.sh-roundingnearestvalue').val('1');
					}

					var isError = false;
					salesMenuFormCounting.forEach((elm, index) =>{
						if($('.sm-qty-' + index).val() == '' || $('.sm-inclusiveprice-' + index).val() == ''){
							$('.errMsg').html('\
								<div class="alert alert-dismissible alert-warning p-1">\
									<p class="mb-0"><small><b>!</b> Menu sales form Qty or Inclusive Price Cannnot be empty</small></p>\
								</div>\
							');
							isError = true;
							return;
						}

						payload.sales.push({
							qty : parseFloat($('.sm-qty-' + index).val()),
							inclusivePrice : parseFloat($('.sm-inclusiveprice-' + index).val()),
							menuDiscountPercentage : $('.sm-menudiscpercentage-' + index).val() == ''? 0 : parseFloat($('.sm-menudiscpercentage-' + index).val()),
							menuDiscountCash : $('.sm-menudisccash-' + index).val() == ''? 0 : parseFloat($('.sm-menudisccash-' + index).val()),
							otherTaxPercentage : $('.sm-othertax-' + index).val() == ''? 0 : parseFloat($('.sm-othertax-' + index).val()),
							taxPercentage :$('.sm-tax-' + index).val() == ''? 0 :  parseFloat($('.sm-tax-' + index).val()),
							proRateBillDisc : $('.sm-isproratebilldisc-' + index).val() == "true"? true : false,
							//additionalInformation ->
							id : $('.sm-additionalInformation-' + index).attr("attrId").replace(/ /g,""),
							salesNum : $('.sm-additionalInformation-' + index).attr("attrSalesNum").replace(/ /g,""),
							menuRefID : $('.sm-additionalInformation-' + index).attr("attrMenuRefID").replace(/ /g,""),
							menuGroupID : $('.sm-additionalInformation-' + index).attr("attrMenuGroupID").replace(/ /g,""),
						});
					});

					if(isError){
						return;
					}

					$('.errMsg').html('');
					salesHead.html('');
					salesMenu.html('');
					resultCalc.show();
					var saleResult = inclusiveAfterDiscount(payload);
					appendCalculationResult(saleResult);
					exportCalc.off('click').on('click', function(){
						var salesMenuText = "";
						saleResult.sales.forEach(sm =>{
							var qty = 0;
							var discountValue = 0;
							var inclusiveDiscountValue = 0;
							var vat = 0;
							var vatValue = 0;
							var otherVat = 0;
							var otherVatValue = 0;
							var total = 0;
							if(sm.taxPercentage == 10){
								vat = sm.taxPercentage
								vatValue = sm.taxTotal;
							}else{
								otherVat = sm.taxPercentage;
								otherVatValue = sm.taxTotal;
							}

							if(sm.menmenuRefID != 0 && sm.menuGroupID == 0){
								//HEAD PACKAGE
								qty = sm.qty;
								discountValue = sm.discountTotalValue;
								inclusiveDiscountValue = sm.inclusiveDiscountTotalValue;
								total = sm.inclusivePriceTotalAfterDisc;
							}else if(sm.menmenuRefID != 0 && sm.menuGroupID != 0){
								//VALUE PACKAGE
								qty = 1;
								discountValue = sm.discountValue;
								inclusiveDiscountValue = sm.inclusiveDiscountValue;
								vatValue = vatValue / sm.qty;
								otherVatValue = otherVatValue / sm.qty;
								total = sm.inclusivePriceAfterDisc;
							}else{
								qty = sm.qty;
								discountValue = sm.discountTotalValue;
								inclusiveDiscountValue = sm.inclusiveDiscountTotalValue;
								total = sm.inclusivePriceTotalAfterDisc;
							}
							salesMenuText = salesMenuText + "\n\
UPDATE fnb_sci_prod.tr_salesmenu\n\
SET\n\
	qty = '"+qty+"',\n\
	originalPrice = '" + currencyDisplay(sm.price, false) + "',\n\
	price = '" + currencyDisplay(sm.price, false) + "',\n\
	inclusivePrice = '" + currencyDisplay(sm.inclusivePrice, false) + "',\n\
	discountValue = '" + currencyDisplay(discountValue, false) + "',\n\
	inclusiveDiscountValue = '" + currencyDisplay(inclusiveDiscountValue, false) + "',\n\
	vat = '"+vat+"',\n\
	vatValue = '"+currencyDisplay(vatValue, false)+"',\n\
	otherVat = '"+otherVat+"',\n\
	otherVatValue = '"+currencyDisplay(otherVatValue, false)+"',\n\
	total = '"+currencyDisplay(total, false)+"'\n\
WHERE\n\
	salesNum = '" + sm.salesNum + "'\n\
AND\n\
	localID = '" + sm.id + "';\n\
							";
						})
						navigator.clipboard.writeText("\
UPDATE fnb_sci_prod.tr_saleshead\n\
SET\n\
	subtotal = '" + currencyDisplay(saleResult.subtotal, false) + "',\n\
	discountTotal = '" + currencyDisplay(saleResult.discountTotal, false) + "',\n\
	menuDiscountTotal = '" + currencyDisplay(saleResult.menuDiscountTotal, false) + "',\n\
	vatTotal = '" + currencyDisplay(saleResult.pb1Total, false) + "',\n\
	otherVatTotal = '" + currencyDisplay(saleResult.ppnTotal, false) + "',\n\
	grandTotal = '" + currencyDisplay(saleResult.grandTotal, false) + "',\n\
	roundingTotal = '" + currencyDisplay(saleResult.roundingTotal, false) + "',\n\
	paymentTotal = '" + currencyDisplay(saleResult.grandTotalAfterRounding, false) + "'\n\
WHERE\n\
	salesNum = '" + saleResult.sales[0].salesNum + "';\n\n\
"+ salesMenuText +"\n\
						");
						
						$('.wording-export-query').html("Copied");
						setTimeout(() => {
							$('.wording-export-query').html("Export Query");
						}, 500);
					});

				}catch(err) {
					$('.errMsg').html('\
						<div class="alert alert-dismissible alert-warning p-1">\
							<p class="mb-0"><small><b>!</b> ' + err.message + '</small></p>\
						</div>\
					');
				}
			});
			
			// FROM QUERY STRING 
			const params = new Proxy(new URLSearchParams(window.location.search), {
				get: (searchParams, prop) => searchParams.get(prop),
			});
			let jsonInput = params.jsonInput; 
			jsonInput = jsonInput? JSON.parse(jsonInput) : null;
			if(jsonInput){
				salesMenuFormCounting = jsonInput;
			}

			var isThereSalesNum = false;
			salesMenuFormCounting.forEach(x =>{
				if(x?.salesNum != undefined){
					isThereSalesNum = true;
					return;
				}
			})

			var btnExportQuery = $('.btn-export-query');
			var btnCalculation = $('.btn-calculation');

			if(isThereSalesNum){
				setTimeout(() => {
					btnExportQuery.removeClass("d-none");
					btnExportQuery.addClass("d-block");
					btnCalculation.addClass("col-lg-6");
					startCalc.trigger("click");
				}, 200);
			}else{
				btnExportQuery.removeClass("d-block");
				btnExportQuery.addClass("d-none");
				btnCalculation.addClass("col-lg-12");
			}
			//END FROM QUERY STRING 

			

			appendSalesMenuForm();
			
			addRow.off('click').on('click', function(){

				tmpSalesMenuFormCounting = salesMenuFormCounting;
				salesMenuFormCounting = [];
				tmpSalesMenuFormCounting.forEach((elm, index) =>{
					salesMenuFormCounting.push({
						qty : $('.sm-qty-' + index).val(),
						inclusivePrice : $('.sm-inclusiveprice-' + index).val(),
						menuDiscountPercentage : $('.sm-menudiscpercentage-' + index).val(),
						menuDiscountCash : $('.sm-menudisccash-' + index).val(),
						otherTaxPercentage : $('.sm-othertax-' + index).val(),
						taxPercentage : $('.sm-tax-' + index).val(),
						proRateBillDisc : $('.sm-isproratebilldisc-' + index).val() == "true"? true : false
					});
				});

				newRow = {
					qty : "",
					inclusivePrice : "",
					menuDiscountPercentage : "",
					menuDiscountCash : "",
					otherTaxPercentage : "",
					taxPercentage : "",
					proRateBillDisc : true
				}
				salesMenuFormCounting.push(newRow);
				appendSalesMenuForm();
			})

			function appendCalculationResult(saleResult){
				
				salesHead.append("\
					<tr>\
						<td>" + currencyDisplay(saleResult.subtotal) + "</td>\
						<td style='color:#FFEA00'>" + currencyDisplay(saleResult.inclusiveDiscountTotal) + "</td>\
						<td>" + currencyDisplay(saleResult.discountTotal) + "</td>\
						<td style='color:#FFEA00'>" + currencyDisplay(saleResult.inclusiveMenuDiscountTotal) + "</td>\
						<td>" + currencyDisplay(saleResult.menuDiscountTotal) + "</td>\
						<td>" + currencyDisplay(saleResult.otherTaxTotal) + "</td>\
						<td>" + currencyDisplay(saleResult.taxTotal) + "</td>\
						<td>" + currencyDisplay(saleResult.pb1Total) + "</td>\
						<td>" + currencyDisplay(saleResult.ppnTotal) + "</td>\
						<td>" + currencyDisplay(saleResult.grandTotal) + "</td>\
						<td>" + currencyDisplay(saleResult.roundingTotal) + "</td>\
						<td>" + currencyDisplay(saleResult.grandTotalAfterRounding) + "</td>\
					</tr>\
				");
				saleResult.sales.forEach(s => {
					salesMenu.append("\
					<tr>\
							<td>" + s.qty + "</td>\
							<td style='color:#FFEA00'>" + currencyDisplay(s.inclusiveBillDiscountTotalPerMenu) + "</td>\
							<td>" + currencyDisplay(s.billDiscountPerMenu) + "</td>\
							<td style='color:#FFEA00'>" + currencyDisplay(s.inclusiveDiscountTotalValue) + "</td>\
							<td style='color:#FFEA00'>" + currencyDisplay(s.inclusiveDiscountValue) + "</td>\
							<td style='color:#FFEA00'>" + currencyDisplay(s.inclusivePrice) + "</td>\
							<td style='color:#FFEA00'>" + currencyDisplay(s.inclusivePriceAfterDisc) + "</td>\
							<td style='color:#FFEA00'>" + currencyDisplay(s.inclusivePriceTotal) + "</td>\
							<td style='color:#FFEA00'>" + currencyDisplay(s.inclusivePriceTotalAfterDisc) + "</td>\
							<td>" + currencyDisplay(s.price) + "</td>\
							<td>" + currencyDisplay(s.priceAfterDisc) + "</td>\
							<td>" + currencyDisplay(s.priceTotal) + "</td>\
							<td>" + currencyDisplay(s.priceTotalAfterDisc) + "</td>\
							<td>" + currencyDisplay(s.discountCash) + "</td>\
							<td>" + currencyDisplay(s.discountValue) + "</td>\
							<td>" + currencyDisplay(s.discountTotalValue) + "</td>\
							<td>" + currencyDisplay(s.otherTax) + "</td>\
							<td>" + currencyDisplay(s.otherTaxTotal) + "</td>\
							<td>" + currencyDisplay(s.tax) + "</td>\
							<td>" + currencyDisplay(s.taxTotal) + "</td>\
						</tr>\
					")
				});
			}
			
			function appendSalesMenuForm(){
				salesMenuForm.html('');
				salesMenuFormCounting.forEach((elm, index) =>{
					var removeAppend = '';
					var borderHr = '';
					var switchStyle = '';
					if(salesMenuFormCounting.length > 1){
						removeAppend = '<button type="button" class="btn btn-sm btn-danger btn-sales-remove" idx="' + index + '">\
											<img src="img/trash-bin.png" width="20px">\
										</button>';
						borderHr = '<hr class="salesMenu">'
					}

					if(elm.proRateBillDisc){
						switchStyle = 'checked=""';
					}else{
						switchStyle = '';
					}

					var id = elm?.id != undefined? elm?.id : '';
					var salesNum = elm?.salesNum != undefined? elm?.salesNum : '';
					var menuRefID = elm?.menuRefID != undefined? elm?.menuRefID : '';
					var menuGroupID = elm?.menuGroupID != undefined? elm?.menuGroupID : '';

					salesMenuForm.append('\
						' + borderHr + '\
						<div class="my-3">\
							<p class="sm-additionalInformation-'+index+'"  attrId="' + id + '" attrSalesNum="' + salesNum + '" attrMenuRefID="' + menuRefID + '" attrMenuGroupID="' + menuGroupID + '"></p>\
							<div class="row">\
								<div class="col-12">\
									' + removeAppend + '\
								</div>\
								<div class="col-12 my-2">\
									<fieldset class="form-group from-group-isproratebilldisc">\
										<div class="form-check form-switch">\
											<input class="form-check-input switch-isproratebilldisc sm-isproratebilldisc-'+index+'" type="checkbox" value="' + elm.proRateBillDisc +'" idx="' + index + '" '+ switchStyle +'>\
											<label class="form-check-label">Include prorate bill discount</label>\
										</div>\
									</fieldset>\
								</div>\
							</div>\
							<div class="row">\
								<div class="col-12 col-sm-12 col-md-4 col-lg-2">\
									<div class="form-group">\
										<label class="col-form-label col-form-label-sm">Qty</label>\
										<input class="form-control form-control-sm sm-qty-'+index+'" value="' + elm.qty +'" type="text" placeholder="0">\
									</div>\
								</div>\
								<div class="col-12 col-sm-12 col-md-4 col-lg-2">\
									<div class="form-group">\
										<label class="col-form-label col-form-label-sm">Inclusive Price</label>\
										<input class="form-control form-control-sm sm-inclusiveprice-'+index+'" value="' + elm.inclusivePrice +'" type="text" placeholder="0">\
									</div>\
								</div>\
								<div class="col-12 col-sm-12 col-md-4 col-lg-2">\
									<div class="form-group">\
										<label class="col-form-label col-form-label-sm">Menu Discount %</label>\
										<input class="form-control form-control-sm sm-menudiscpercentage-'+index+'" value="' + elm.menuDiscountPercentage +'" type="text" placeholder="0">\
									</div>\
								</div>\
								<div class="col-12 col-sm-12 col-md-4 col-lg-2">\
									<div class="form-group">\
										<label class="col-form-label col-form-label-sm">Menu Discount Cash</label>\
										<input class="form-control form-control-sm sm-menudisccash-'+index+'" value="' + elm.menuDiscountCash +'" type="text" placeholder="0">\
									</div>\
								</div>\
								<div class="col-12 col-sm-12 col-md-4 col-lg-2">\
									<div class="form-group">\
										<label class="col-form-label col-form-label-sm">Other Tax %</label>\
										<input class="form-control form-control-sm sm-othertax-'+index+'" value="' + elm.otherTaxPercentage +'" type="text" placeholder="0">\
									</div>\
								</div>\
								<div class="col-12 col-sm-12 col-md-4 col-lg-2">\
									<div class="form-group">\
										<label class="col-form-label col-form-label-sm">Tax %</label>\
										<input class="form-control form-control-sm sm-tax-'+index+'" value="' + elm.taxPercentage +'" type="text" placeholder="0">\
									</div>\
								</div>\
							</div>\
						</div>\
					');
				})
				
				var salesRemove = $('.btn-sales-remove');
				salesRemove.off('click').on('click', function(){
					var index = $(this).attr('idx');

					tmpSalesMenuFormCounting = salesMenuFormCounting;
					salesMenuFormCounting = [];
					tmpSalesMenuFormCounting.forEach((elm, index) =>{
						salesMenuFormCounting.push({
							qty : $('.sm-qty-' + index).val(),
							inclusivePrice : $('.sm-inclusiveprice-' + index).val(),
							menuDiscountPercentage : $('.sm-menudiscpercentage-' + index).val(),
							menuDiscountCash : $('.sm-menudisccash-' + index).val(),
							otherTaxPercentage : $('.sm-othertax-' + index).val(),
							taxPercentage : $('.sm-tax-' + index).val(),
							proRateBillDisc : $('.sm-isproratebilldisc-' + index).val() == "true"? true : false,
							salesNum : tmpSalesMenuFormCounting[0]?.salesNum? tmpSalesMenuFormCounting[0]?.salesNum : ''
						});
					});

					tmpSalesMenuFormCounting = [];
					salesMenuFormCounting.forEach((tmp, idx) =>{
						if(idx != index){
							tmpSalesMenuFormCounting.push(tmp);
						}
					})

					salesMenuFormCounting = tmpSalesMenuFormCounting;
					appendSalesMenuForm();
				})
			
				var isProrateSwitch = $('.switch-isproratebilldisc');
				isProrateSwitch.off('change').on('change', function(){
					var index = $(this).attr('idx');
					if($(this).val() == "true"){
						$(this).val("false");
					}else{
						$(this).val("true");
					}
					salesMenuFormCounting[index].proRateBillDisc = $(this).val() == "true"? true : false;
				})
			}

			function currencyDisplay(numb, withRp = true){
				if(withRp){
					return "Rp." + numb.toFixed(4);
				}else{
					return numb.toFixed(4);
				}
				// return new Intl.NumberFormat("id-ID", { maximumSignificantDigits: 8, style: "currency", currency: "IDR" }).format(numb);
			}
			

		</script>
	</body>
</html>
